
Redmine - Defect #41815

Error updating from v5.1.1 to 6.0.1 gives error

2024-11-20 17:44 - A M

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 6.0.1

Description

I am trying to update my redmine docker (kubernetes) installation from v5.1.1 to 6.0.1 but I'm getting error like this:

W, [2024-11-20T15:02:00.858696 

#16]  WARN -- : Unable to resolve '%22images%2Fui-icons_444444_256x240.png%22' for missing asset '

jquery/%22images%2Fui-icons_444444_256x240.png%22' in jquery/jquery-ui-1.13.2.css

W, [2024-11-20T15:02:00.858719 

#16]  WARN -- : Unable to resolve '%22images%2Fui-icons_cc0000_256x240.png%22' for missing asset '

jquery/%22images%2Fui-icons_cc0000_256x240.png%22' in jquery/jquery-ui-1.13.2.css

rake aborted!

ArgumentError: Missing `secret_key_base` for 'production' environment, set this string with `

bin/rails credentials:edit` (ArgumentError)

          raise ArgumentError, "Missing `secret_key_base`

 for '#{Rails.env}' environment, set this string with `bin/rails credentials:edit`" 

                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

/usr/local/bundle/gems/railties-7.2.2/lib/rails/application/configuration.rb:519:in `

secret_key_base='

/usr/local/bundle/gems/railties-7.2.2/lib/rails/application/configuration.rb:503:in `secret_key_ba

se'

/usr/local/bundle/gems/railties-7.2.2/lib/rails/application.rb:470:in `secret_key_base'

/usr/local/bundle/gems/railties-7.2.2/lib/rails/application.rb:205:in `block in message_verifiers'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/message_verifiers.rb:132:in `build'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/messages/rotation_coordinator.rb:85:

in `block in build_with_rotations'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/messages/rotation_coordinator.rb:85:

in `map'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/messages/rotation_coordinator.rb:85:

in `build_with_rotations'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/messages/rotation_coordinator.rb:19:

in `[]'

/usr/local/bundle/gems/railties-7.2.2/lib/rails/application.rb:232:in `message_verifier'

/usr/local/bundle/gems/activerecord-7.2.2/lib/active_record/railtie.rb:355:in `block (3 levels) in

 <class:Railtie>'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.rb:97:in `class_eval

'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.rb:97:in `block in 

execute_hook'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.rb:87:in `with_execu

tion_control'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.rb:92:in `

execute_hook'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.rb:62:in `block in o

n_load'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.rb:61:in `each'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.rb:61:in `on_load'

/usr/local/bundle/gems/activerecord-7.2.2/lib/active_record/railtie.rb:354:in `block (2 levels) in

 <class:Railtie>'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.rb:94:in `block in e

xecute_hook'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.rb:87:in `
with_execution_control'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.rb:92:in `execute_ho

ok'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.rb:78:in `block in 

run_load_hooks'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.rb:77:in `each'

/usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.rb:77:in `

run_load_hooks'

/usr/local/bundle/gems/railties-7.2.2/lib/rails/application/finisher.rb:94:in `block in <module:Fi

nisher>'

/usr/local/bundle/gems/railties-7.2.2/lib/rails/initializable.rb:32:in `instance_exec'

/usr/local/bundle/gems/railties-7.2.2/lib/rails/initializable.rb:32:in `run'

/usr/local/bundle/gems/railties-7.2.2/lib/rails/initializable.rb:61:in `block in run_initializers'

/usr/local/bundle/gems/railties-7.2.2/lib/rails/initializable.rb:60:in `run_initializers'

/usr/local/bundle/gems/railties-7.2.2/lib/rails/application.rb:435:in `initialize!'

/usr/src/redmine/config/environment.rb:16:in `<top (required)>'

/usr/local/bundle/gems/zeitwerk-2.7.1/lib/zeitwerk/core_ext/kernel.rb:34:in `require'

/usr/local/bundle/gems/railties-7.2.2/lib/rails/application.rb:411:in `require_environment!'

/usr/local/bundle/gems/railties-7.2.2/lib/rails/application.rb:559:in `block in run_tasks_blocks'

/usr/local/bundle/gems/rake-13.2.1/exe/rake:27:in `<top (required)>'

Tasks: TOP => db:migrate => db:load_config => environment

(See full trace by running task with --trace)

 To be sure that this is not my issue I've tried to install redmine:6.0.1 using docker-compose provided here: 

https://hub.docker.com/_/redmine

services:

  redmine:

    image: redmine:6.0.1

    restart: always

    ports:

      - 8080:3000

    environment:

      REDMINE_DB_MYSQL: db

      REDMINE_DB_PASSWORD: example

      REDMINE_SECRET_KEY_BASE: supersecretkey

  db:

    image: mysql:8.0

    restart: always

    environment:

      MYSQL_ROOT_PASSWORD: example

      MYSQL_DATABASE: redmine

 Same issue:

2024-11-20 18:39:17 Your Gemfile lists the gem puma (>= 0) more than once.

2024-11-20 18:39:17 You should probably keep only one of them.

2024-11-20 18:39:17 Remove any duplicate entries and specify the gem only once.

2024-11-20 18:39:17 While it

's not a problem now, it could cause errors if you change the version of one of them later.

2024-11-20 18:39:17 WARN: Unresolved or ambiguous specs during Gem::Specification.reset:

2024-11-20 18:39:17       stringio (>= 0)

2024-11-20 18:39:17       Available/installed versions of this gem:

2024-11-20 18:39:17       - 3.1.2

2024-11-20 18:39:17       - 3.1.1

2024-11-20 18:39:17 WARN: Clearing out unresolved specs. Try 'gem cleanup <gem>'

2024-11-20 18:39:17 Please report a bug if this causes problems.

2024-11-20 18:39:18 rake aborted!

2024-11-20 18:39:18 ArgumentError: Missing `secret_key_base` for 'production

' environment, set this string with `bin/rails credentials:edit` (ArgumentError)

2024-11-20 18:39:18 

2024-11-20 18:39:18           raise ArgumentError, "Missing `secret_key_base` for '

#{Rails.env}' environment, set this string with `bin/rails credentials:edit`" 

2024-11-20 18:39:18                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

2024-11-20 18:39:18 /usr/local/bundle/gems/railties-7.2.2/lib/rails/application/configuration.rb:5
19:in `secret_key_base='

2024-11-20 18:39:18 /usr/local/bundle/gems/railties-7.2.2/lib/rails/application/configuration.rb:5

03:in `secret_key_base'

2024-11-20 18:39:18 /usr/local/bundle/gems/railties-7.2.2/lib/rails/application.rb:470:in `

secret_key_base'

2024-11-20 18:39:18 /usr/local/bundle/gems/railties-7.2.2/lib/rails/application.rb:205:in `block i

n message_verifiers'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/message_verifier

s.rb:132:in `build'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/messages/rotatio

n_coordinator.rb:85:in `block in build_with_rotations'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/messages/rotatio

n_coordinator.rb:85:in `map'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/messages/rotatio

n_coordinator.rb:85:in `build_with_rotations'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/messages/rotatio

n_coordinator.rb:19:in `[]'

2024-11-20 18:39:18 /usr/local/bundle/gems/railties-7.2.2/lib/rails/application.rb:232:in `message

_verifier'

2024-11-20 18:39:18 /usr/local/bundle/gems/activerecord-7.2.2/lib/active_record/railtie.rb:355:in 

`block (3 levels) in <class:Railtie>'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.

rb:97:in `class_eval'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.

rb:97:in `block in execute_hook'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.

rb:87:in `with_execution_control'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.

rb:92:in `execute_hook'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.

rb:62:in `block in on_load'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.

rb:61:in `each'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.

rb:61:in `on_load'

2024-11-20 18:39:18 /usr/local/bundle/gems/activerecord-7.2.2/lib/active_record/railtie.rb:354:in 

`block (2 levels) in <class:Railtie>'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.

rb:94:in `block in execute_hook'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.

rb:87:in `with_execution_control'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.

rb:92:in `execute_hook'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.

rb:78:in `block in run_load_hooks'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.

rb:77:in `each'

2024-11-20 18:39:18 /usr/local/bundle/gems/activesupport-7.2.2/lib/active_support/lazy_load_hooks.

rb:77:in `run_load_hooks'

2024-11-20 18:39:18 /usr/local/bundle/gems/railties-7.2.2/lib/rails/application/finisher.rb:94:in 

`block in <module:Finisher>'

2024-11-20 18:39:18 /usr/local/bundle/gems/railties-7.2.2/lib/rails/initializable.rb:32:in `

instance_exec'

2024-11-20 18:39:18 /usr/local/bundle/gems/railties-7.2.2/lib/rails/initializable.rb:32:in `run'

2024-11-20 18:39:18 /usr/local/bundle/gems/railties-7.2.2/lib/rails/initializable.rb:61:in `block 

in run_initializers'

2024-11-20 18:39:18 /usr/local/bundle/gems/railties-7.2.2/lib/rails/initializable.rb:60:in `run_in

itializers'

2024-11-20 18:39:18 /usr/local/bundle/gems/railties-7.2.2/lib/rails/application.rb:435:in `

initialize!'

2024-11-20 18:39:18 /usr/src/redmine/config/environment.rb:16:in `<top (required)>'

2024-11-20 18:39:18 /usr/local/bundle/gems/zeitwerk-2.7.1/lib/zeitwerk/core_ext/kernel.rb:34:in `

require'

2024-11-20 18:39:18 /usr/local/bundle/gems/railties-7.2.2/lib/rails/application.rb:411:in `require

_environment!'

2024-11-20 18:39:18 /usr/local/bundle/gems/railties-7.2.2/lib/rails/application.rb:559:in `block 

in run_tasks_blocks'
2024-11-20 18:39:18 /usr/local/bundle/gems/rake-13.2.1/exe/rake:27:in `<top (required)>'

2024-11-20 18:39:18 Tasks: TOP => db:migrate => db:load_config => environment

2024-11-20 18:39:18 (See full trace by running task with --trace)

2024-11-20 18:38:46 I, [2024-11-20T16:38:46.442104 

#20]  INFO -- : [#<Pathname:/usr/src/redmine/app/assets/fonts>, #<Pathname:/usr/src/redmine/app/as

sets/images>, #<Pathname:/usr/src/redmine/app/assets/javascripts>, #<Pathname:/usr/src/redmine/app

/assets/stylesheets>, #<Pathname:/usr/src/redmine/app/assets/themes>, #<Pathname:/usr/local/bundle

/gems/actioncable-7.2.2/app/assets/javascripts>, #<Pathname:/usr/local/bundle/gems/actionview-7.2.

2/app/assets/javascripts>, #<Pathname:/usr/src/redmine/app/assets/javascripts>, #<Pathname:/usr/sr

c/redmine/app/assets/images>, #<Pathname:/usr/src/redmine/app/assets/stylesheets>, #<Pathname:/usr

/src/redmine/app/assets/themes/alternate/stylesheets>, #<Pathname:/usr/src/redmine/app/assets/them

es/classic/stylesheets>, #<Pathname:/usr/src/redmine/app/assets/themes/classic/images>]

2024-11-20 18:39:17 The Gemfile's dependencies are satisfied

2024-11-20 18:39:18 I, [2024-11-20T16:39:18.937476 #21]  INFO -- : [#<Pathname:/usr/src/redmine/ap

p/assets/fonts>, #<Pathname:/usr/src/redmine/app/assets/images>, #<Pathname:/usr/src/redmine/app/a

ssets/javascripts>, #<Pathname:/usr/src/redmine/app/assets/stylesheets>, #<Pathname:/usr/src/redmi

ne/app/assets/themes>, #<Pathname:/usr/local/bundle/gems/actioncable-7.2.2/app/assets/javascripts>

, #<Pathname:/usr/local/bundle/gems/actionview-7.2.2/app/assets/javascripts>, #<Pathname:/usr/src/

redmine/app/assets/javascripts>, #<Pathname:/usr/src/redmine/app/assets/images>, #<Pathname:/usr/s

rc/redmine/app/assets/stylesheets>, #<Pathname:/usr/src/redmine/app/assets/themes/alternate/styles

heets>, #<Pathname:/usr/src/redmine/app/assets/themes/classic/stylesheets>, #<Pathname:/usr/src/re

dmine/app/assets/themes/classic/images>]

History

#1 - 2024-12-05 16:42 - Raven None

I tried to do the same thing for two redmine instances this week and ran into the same error. It seems like when using the official Docker image, the

update from 5.1.x to 6.0.1 is broken.

#2 - 2024-12-09 01:48 - Leonardo Colman

I don't even think it's a migration issue (ie update from 5.1 to 6.0), it seems 6.x docker image is broken altogether

#3 - 2024-12-11 20:19 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

I'm sorry, but we do not offer support for the Docker image, please contact the maintainers. If the problem is caused by Redmine core, please reopen

with more details.
